Configured (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.conf
Class Configured

    java.lang.Object
      org.apache.hadoop.conf.Configured

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  Command, DBCountPageView, DistributedPentomino, FileSystem, FsShell, GetGroupsBase, Grep, InputSampler, JobClient, Join, MemoryCalculatorPlugin, MigrationTool, MRAdmin, MultiFileWordCount, PiEstimator, RandomTextWriter, RandomWriter, ResourceCalculatorPlugin, SerializationFactory, SleepJob, SleepJob.SleepInputFormat, Sort, Submitter, TeraGen, TeraSort, TeraValidate, Trash, WritableSerialization

    public class Configured

extends Object
implements Configurable

Base class for things that may be configured with a `Configuration`.

Constructor Summary
`Configured()` Construct a Configured.
`Configured(Configuration conf)` Construct a Configured.

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configured

    public Configured()

  Construct a Configured.

### Configured

    public Configured(Configuration conf)

  Construct a Configured.

Method Detail

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation